Subject: [pim] comments on draft-ietf-pim-null-register-packing-09

From: <[email-masked]>
Date: Mon, 24 May 2021 10:51:46 +0800 (CST)

Hi authors, 

Thank you for the 09 version update! The version makes more clear about the function. 

I have some comments for the new 09 version:

1. In the combinations 1 in section 5, there is 

"As specified in [[RFC7761]], the DR sends PIM Null-Register

          messages towards the RP when a new source is detected." 

I noticed that the "Register messages" has been changed to "Null-Register messages". The change seems like to be confusion. 

Because "when a new source is detected", the DR sends data-register to the RP other than null-register. 

After the RP builds the tree to the DR, RP can set the P-bit in the register-stop message sent to the DR, that is the RP can set the P-bit when it starts to send register-stop to the DR. 

So IMO in this sentence, the "PIM Null-Register" may go back to "PIM register".

2. In case the RP enables the packed capability and works well, but the network manager disables the packed capability in the RP. During the switch, there may be two ways:

One is that the RP can still parse the packed null-register messages, but it sends the register-stop message without P-bit set. Then the DR sends the unpacked null-register to the RP. 

The other is that the RP stops to parse the packed null-register messages right now, the DR may not receive the register-stop message with P-bit set/clear from the RP, then the DR may send the new un-packed register message after the timer expired and then receives the register-stop message with P-bit clear from the RP. 

I am not sure which one is prefer in this draft. IMO it may be better to add some description about the switch issue. 

Best regards,

Sandy